package visorComics;

import java.awt.Image;
import java.io.File;
import java.io.IOException;
import java.util.ArrayList;
import java.util.Iterator;

import javax.imageio.ImageIO;
import javax.swing.DefaultListModel;
import javax.swing.ImageIcon;
import javax.swing.JList;

public class CrearMiniaturas implements Runnable {
	
	private ArrayList<File> archivos;
	private Image imgAux;
	private JList<ImageIcon> lista = new JList<ImageIcon>();
	private DefaultListModel<ImageIcon> modelo = new DefaultListModel<ImageIcon>();
	
	public CrearMiniaturas(ArrayList<File> archivos, JList<ImageIcon> jlist) {
		this.archivos = archivos;
		this.lista = jlist;
	}
	public void run() {
		modelo.removeAllElements();
		lista.setModel(modelo);
		for(Iterator<File> iterador = archivos.listIterator(); iterador.hasNext();) {
			try {
				imgAux = ImageIO.read(iterador.next()).getScaledInstance(100, 150, Image.SCALE_AREA_AVERAGING);
				modelo.addElement(new ImageIcon(imgAux));
			} catch (IOException e) {
				e.printStackTrace();
			}
		}		
	}

}
