package visorComics;

import java.io.File;
import java.io.FileFilter;

public class FiltroExtensionArchivo implements FileFilter {
	
	private final String tiposExtension [] = {"jpg", "gif", "png"}; 

	public boolean accept(File archivo) {
		for(String extension : tiposExtension) {
			if(archivo.getName().toLowerCase().endsWith(extension)) {
				return true;
			}
		}
		return false;
	}
}
